#include "AudioSample.h"
#include "AudioSynth.h"
#include "AudioWriter.h"

#include "TestCase.h"
#include "TestCaseRunner.h"

#include <memory>
#include <string>

class TestWriteWav : public TestCase
{
public:
    bool Run() override
    {
        AudioWriter writer;
        writer.SetPath("test.wav");

        AudioSynth synth;
        auto sample = synth.GetSineWave(240, 5);

        writer.Write(sample);
        return true;
    }
};

int main()
{
    TestCaseRunner runner;
    runner.AddTestCase("TestWriteNav", std::make_unique<TestWriteWav>());

    const auto testsPassed = runner.Run();
    return testsPassed ? 0 : -1;
}
